<?php
/**
 * Nexas default theme options.
 *
 * @package Paragon Themes
 * @subpackage Nexas
 */

if ( !function_exists('nexas_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function nexas_get_default_theme_options()
    {

        $default = array();

        // Homepage Slider Section
        $default['nexas_homepage_slider_option']               = 'hide';
        $default['nexas_slider_cat_id']                        = 0;
        $default['nexas_no_of_slider']                         = 3;
        $default['nexas_slider_get_started_txt']               = esc_html__('Get Started!', 'nexas');
        $default['nexas_slider_get_started_link']              = '#';
        $default['nexas_homepage_slider_type']                 = 'default';
        $default['nexas_homepage_slider_title_option']         = 0;
        $default['nexas_homepage_slider_tagline_option']       = 0; 
        $default['nexas_homepage_slider_prev_next_option']     = 0; 
        $default['nexas_homepage_slider_text_alignment']       = 'left';



        // footer copyright.
        $default['nexas_copyright']                            = esc_html__('Copyright All Rights Reserved', 'nexas');
        $default['nexas_powered_text'] = wp_kses_post('<a href="https://www.wordpress.org" target="_blank">Proudly powered by WordPress</a> | Theme: Nexas by <a href="https://paragonthemes.com"> Paragon Themes </a>', 'nexas');
        $default['nexas_footer_social']                        = 0; 
        $default['nexas_footer_menu']                          = 0;
        $default['nexas_footer_go_to_top']                     = 1;
                                                    
        // Home Page Top header Info.
        $default['nexas_top_header_section']                   = 'hide';
        $default['nexas_top_header_section_phone_number_icon'] = 'fa-phone';
        $default['nexas_top_header_phone_no']                  = '';
        $default['nexas_email_icon']                           = 'fa-envelope-o';
        $default['nexas_top_header_email']                     = '';
        $default['nexas_social_link_hide_option']              = 0;
			  $default['nexas_top_menu_show_option']								 = 0;

        // Blog.
        $default['nexas_sidebar_layout_option']                = 'right-sidebar';
        $default['nexas_blog_title_option']                    = esc_html__('Latest Blog', 'nexas');
        $default['nexas_blog_excerpt_option']                  = 'excerpt';
        $default['nexas_description_length_option']            = 40;
        $default['nexas_exclude_cat_blog_archive_option']      = '';
        $default['nexas_read_more_text_blog_archive_option']   = esc_html__('Read More', 'nexas');
        $default['nexas_featured_image_blog_page']             = 0;
        $default['nexas_meta_options_blog_page']               = 0;
        $default['nexas_blog_pagination_types']                = 'default';

        // Details page.
        $default['nexas_show_feature_image_single_option']     = 0;
        $default['nexas_meta_fields_single_option']            = 0;
        $default['nexas_author_info_show_hide_section']        = 0;
        $default['nexas_show_feature_image_single_page']       = 0; 

        //Related Posts
        $default['nexas_related_post_show_hide']              = 0;
        $default['nexas_related_post_title']                  = esc_html__('Related Posts', 'nexas');
        $default['nexas_related_post_number']                  = 3;
        $default['nexas_related_hide_featured_image']          = 1; 
        $default['nexas_related_posts_title_show']             = 1; 
        $default['nexas_related_posts_excerpt_show']           = 1;
        $default['nexas_related_posts_meta_options']           = 1;


        // Color Option.
        $default['nexas_primary_color']                        = '#ec5538';
        $default['nexas_top_header_background_color']          = '#ec5538';
        $default['nexas_top_footer_background_color']          = '#1A1E21';
        
        // Color Option.
        $default['nexas_primary_color']                        = '#ec5538';
        $default['nexas_top_header_background_color']          = '#ec5538';
        $default['nexas_top_footer_background_color']          = '#1A1E21';
        $default['nexas_bottom_footer_background_color']       = '#111315';
        $default['nexas_top_header_text_color '] = '#ffffff';
        $default['nexas_top_header_text_color']                = '#ffffff';
        $default['nexas_menu_background_color']                = '#ffffff';
        $default['nexas_menu_text_color']                      = '#2f2f2f';
        $default['nexas_menu_text_hover_color']                = '#ec5538';
        $default['nexas_footer_text_color']                    = '#999';
        $default['nexas_topfooter_text_color']                 = '#7a7a7a';
        $default['nexas_sidebar_background_color']             = '#ffffff';
        $default['nexas_sidebar_text_color']                   = '#000000';
        $default['nexas_link_color']                           = '#ec553';
        $default['nexas_link_hover_color']                     = '#ec5538';
        $default['nexas_heading_text_color']                   = '#ffffff';                                                   
        //extra options
        $default['nexas_front_page_hide_option']               = 0;
        $default['nexas_post_search_placeholder_option']       = esc_html__('Search', 'nexas');
        $default['nexas_color_reset_option']                   = 'do-not-reset';
        $default['nexas_slider_option']                        = '';
        $default['nexas_header_cart_icon']                     = 0;
        $default['nexas_header_search_icon']                     = 0;

        //Typography Options
        //Paragraph Font Options
        $default['nexas_paragraph_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600','nexas');
        $default['nexas_paragraph_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','nexas');
        $default['nexas_paragraph_font_weight'] = '';
        $default['nexas_paragraph_line_height'] = 1.5;
        $default['nexas_paragraph_font_size'] = 16;
        $default['nexas_paragraph_letter_spacing'] = 1;

        //Site Title Font Options
        $default['nexas_site_title_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_site_title_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_site_title_letter_spacing'] = 0;
        $default['nexas_site_title_font_weight']    = 700;
        $default['nexas_site_title_font_size'] = 30;

        //Site Tagline Font Options
        $default['nexas_tagline_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600','nexas');
        $default['nexas_tagline_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','nexas');
        $default['nexas_tagline_letter_spacing'] = 0;
        $default['nexas_tagline_font_weight']    = 700;
        $default['nexas_tagline_font_size'] = 20;

        //H1 default value
        $default['nexas_h1_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h1_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h1_letter_spacing'] = 0;
        $default['nexas_h1_font_weight']    = 700;
        $default['nexas_h1_font_size'] = 28;

        //H2 default value
        $default['nexas_h2_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h2_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h2_letter_spacing'] = 0;
        $default['nexas_h2_font_weight']    = 700;
        $default['nexas_h2_font_size'] = 25;

        //H3 default value
        $default['nexas_h3_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h3_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h3_letter_spacing'] = 0;
        $default['nexas_h3_font_weight']    = 700;
        $default['nexas_h3_font_size'] = 25;

        //H4 default value
        $default['nexas_h4_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h4_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h4_letter_spacing'] = 0;
        $default['nexas_h4_font_weight']    = 700;
        $default['nexas_h4_font_size'] = 22;

        //H5 default value
        $default['nexas_h5_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h5_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h5_letter_spacing'] = 0;
        $default['nexas_h5_font_weight']    = 700;
        $default['nexas_h5_font_size'] = 18;
        
        //H6 default value
        $default['nexas_h6_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700','nexas');
        $default['nexas_h6_font_family_name'] = esc_html__('Montserrat, sans-serif','nexas');
        $default['nexas_h6_letter_spacing'] = 0;
        $default['nexas_h6_font_weight']    = 700;
        $default['nexas_h6_font_size'] = 16;


        //Menu Font Options
        $default['nexas_menu_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600','nexas');
        $default['nexas_menu_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','nexas');
        $default['nexas_menu_font_weight'] = 400;
        $default['nexas_menu_line_height'] = 1.2;
        $default['nexas_menu_font_size'] = 16;
        $default['nexas_menu_letter_spacing'] = 0;

        //Disable Animation 
        $default['nexas_animation_disable_option'] = 0;


        // Pass through filter.
        $default                                               = apply_filters( 'nexas_get_default_theme_options', $default );
        return $default;
    }
endif;
